gnutls_protocol_get_version(3)

NAME
gnutls_protocol_get_version - Returns the version of the currently used protocol

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_protocol_t gnutls_protocol_get_version(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Get TLS version, a gnutls_protocol_t value.

RETURNS
the version of the currently used protocol.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.